@media (max-width: 1024px) {
    .track-grid {
        grid-template-columns: 1fr 1fr;
    }

    .papers-card {
        grid-column: span 2;
    }

    .paperContent {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 820px) {
    .hero-content {
        grid-template-columns: 1fr;
        gap: 50px;
    }

    .hero-p {
        max-width: 100%;
    }

    .heroRight {
        order: -1;
    }

    .heroFloat-1, .heroFloat-2 {
        display: none;
    }

    .aboutGrid {
        grid-template-columns: 1fr;
        gap: 40px;
    }

    .tracksGrid {
        grid-template-columns: 1fr;
    }

    .papers-card {
        grid-column: span 1;
    }

    .cst-events-grid {
        grid-template-columns: 1fr;
    }

    .trophies-wrap {
        grid-template-columns: repeat(3, 1fr);
    }

    .apply-grid {
        grid-template-columns: 1fr;
    }

    .leadersGrid {
        grid-template-columns: 1fr;
    }

    .test-grid {
        grid-template-columns: 1fr;
    }

    .test-grid {
        grid-template-columns: 1fr;
    }

    .footerGrid {
        grid-template-columns: 1fr 1fr;
    }

    .navLinks {
        display: none;
    }

    .applyBtn {
        display: block;
    }

    #hamburger {
        display: block;
    }

    .formRow {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 520px) {
    .container {
        padding: 0 20px;
    }

    .heroStats {
        flex-wrap: wrap;
        gap: 20px;
    }

    .statSep {
        display: none;
    }

    .trophies-wrap {
        grid-template-columns: 1fr 1fr;
    }

    .footerGrid {
        grid-template-columns: 1fr;
    }

    .form-tabs {
        flex-direction: column;
    }

    .form-tab {
        justify-content: center;
    }

    .credit-tab {
        bottom: 12px;
        max-width: 90vw;
        font-size: 12px;
        padding: 9px 18px;
    }

    .credit-tab:hover {
        max-width: 92vw;
        max-height: 220px;
        padding: 18px 20px;
    }

    .credit-expanded {
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 10px;
    }

    .credit-photo {
        width: 55px;
        height: 55px;
    }

    .credit-info {
        align-items: center;
    }

    .credit-role, .credit-bio {
        font-size: 11px;
    }

    .credit-socials {
        justify-content: center;
        flex-wrap: wrap;
    }
}

@media (max-width: 380px) {
    .credit-tab {
        bottom: 8px;
        font-size: 11px;
        padding: 8px 15px;
    }

    .credit-tab:hover {
        max-height: 240px;
        padding: 15px;
    }

    .credit-photo {
        width: 50px;
        height: 50px;
    }
}